/*
Theme Name:   Somentra Child
Theme URI:    https://themeforest.net/user/greatives
Description:  Somentra Child Theme
Version:      2.1.0
Author:       Greatives Team
Author URI:   https://greatives.eu
Template:     impeka
*/



/* STRUCTURE */

.image-mask .grve-background-wrapper{
  -webkit-mask-image: url('https://chaptersandchill.com.au/wp-content/uploads/2026/05/image-mask.svg');
  -webkit-mask-size: cover;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: left;
  mask-image: url('https://chaptersandchill.com.au/wp-content/uploads/2026/05/image-mask.svg');
  mask-size: cover;
  mask-repeat: no-repeat;
  mask-position: left;
}

.bg-flower .grve-bg-image{
	background-size: 169px auto;
	z-index:-1 !important;
}

.grve-with-bg-image .grve-background-wrapper {
    z-index: 0 !important;
    pointer-events: none !important;
}

.grve-with-bg-image .grve-column-content {
    position: relative;
    z-index: 1;
}

/* EVENTS */

.ws-event-card {
    position: relative;
}

.ws-event-link {
    position: absolute;
    inset: 0;
    z-index: 1;
}

.ws-event-time, .ws-event-venue{
	display: flex;
	flex-direction: row;
}

.ws-event-time::before, 
.ws-event-venue::before{
	font-family: fontAwesome;
	color: var(--wp--preset--color--primary-3);
	font-size:16px;
	
}

.ws-event-time::before{
	content: '\f017';
}

/* FOOTER */

#grve-footer{
	& .grve-footer-column{
		margin-block:5px;
		display: flex;
		align-items: center;
	}

	& ul{
		margin-bottom:0;
	}

	& .wp-social-link{
		background: #fff;
		color: var(--wp--preset--color--primary-3);
	}

	& .wp-social-link a{
		color: var(--wp--preset--color--primary-3) !important;
		padding: 0.20em;
	}


}

/* FORMS */

.wpcf7{
	
	& .wpcf7-response-output{
		color: var(--wp--preset--color--primary-1) !important;
	}
	
	& label {
		position: absolute;
		width: 1px;
		height: 1px;
		padding: 0;
		margin: -1px;
		overflow: hidden;
		clip: rect(0, 0, 0, 0);
		white-space: nowrap;
		border: 0;
	}
	& input[type=text], input[type=tel],input[type=email], select, textarea{
		background-color:var(--wp--preset--color--primary-5);
		border-color:var(--wp--preset--color--primary-3);
		border-radius:10px;
		margin-bottom:15px;
		padding:8px;
		color:#000;
	}
	& input[type=submit]{
		color: var(--wp--preset--color--primary-5) !important;
		background: var(--wp--preset--color--primary-2) !important;
	}
	& input[type=submit]:hover{
		background: var(--wp--preset--color--primary-1) !important;
		
	}
}


/* RESPONSIVE */

@media (min-width:1024px){
	
	.home #grve-main-header .grve-logo{
		display:none;
	}
	.full-logo{
		margin-bottom:0;
		transform: scale(85%);
	}
	
}

@media (min-width:768px) and (max-height:830px){
	.full-logo{
		margin-bottom:0;
		transform: scale(75%);
	}
}

@media (min-width:768px){
	
	body:not(.logged-in) .row-page{
		min-height: calc(100vh - 43.6px) !important;
	}
	body.logged-in .row-page{
		min-height: calc(100vh - 75.6px) !important;
	}
		
	#grve-footer .grve-footer-column-1-2:nth-child(2){
		justify-content: flex-end;
	}
}